export declare namespace Languages {
    type LanguageModel = {
        initScript: string | (() => string);
        queryCommand: string | ((requirements: string) => string);
        addModuleCommand: string | ((module: string, requirements: string) => string);
        julynterCode: (code: string) => boolean;
        name: string;
    };
    type ExecutableCode = 'initScript' | 'queryCommand' | 'addModuleCommand';
}
export declare abstract class Languages {
    /**
     * Init and query script for supported languages.
     */
    static PYTHON: Languages.LanguageModel;
    static GENERIC: Languages.LanguageModel;
    static scripts: {
        [index: string]: Languages.LanguageModel;
    };
    static getScript(lang: string): Promise<Languages.LanguageModel>;
}
