export class Languages {
    static getScript(lang) {
        return new Promise((resolve, reject) => {
            if (lang in Languages.scripts) {
                resolve(Languages.scripts[lang]);
            }
            else {
                resolve(Languages.scripts.generic);
            }
        });
    }
}
/**
 * Init and query script for supported languages.
 */
Languages.PYTHON = {
    initScript: 'import julynter.kernel',
    queryCommand: (requirements) => "julynter.kernel._jupyterlab_julynter_query('" + requirements + "')",
    addModuleCommand: (module, requirements) => "julynter.kernel._jupyterlab_julynter_add_package_to_requirements('" +
        module +
        "','" +
        requirements +
        "')",
    julynterCode: (code) => {
        return code.includes('julynter.kernel._jupyterlab_julynter');
    },
    name: 'python',
};
Languages.GENERIC = {
    initScript: null,
    queryCommand: null,
    addModuleCommand: null,
    julynterCode: (code) => false,
    name: 'generic',
};
Languages.scripts = {
    python3: Languages.PYTHON,
    python2: Languages.PYTHON,
    python: Languages.PYTHON,
    generic: Languages.GENERIC,
};
