import { IJulynterLintOptions } from '../linter/interfaces';
import { IExperimentConfig } from './experimentmanager';
import { IJulynterStatus } from './view/statusrenderer';
import { ErrorHandler } from './errorhandler';
export declare class Config {
    defaultOptions: IJulynterLintOptions;
    experimentConfig: IExperimentConfig;
    status: IJulynterStatus;
    private _eh;
    constructor(experimentConfig: IExperimentConfig, status: IJulynterStatus, eh: ErrorHandler);
    createDefault(): IJulynterLintOptions;
    loadData(options: IJulynterLintOptions, experiment: IExperimentConfig, data: any): void;
    load(onSuccess?: (data: any) => void, onError?: (reason: any) => void): void;
    loadUser(): Promise<IJulynterLintOptions>;
    loadProject(): Promise<IJulynterLintOptions>;
    saveProject(options: IJulynterLintOptions): Promise<any>;
    saveUser(options: IJulynterLintOptions): Promise<any>;
    merge(original: IJulynterLintOptions, newOptions: IJulynterLintOptions): void;
}
