import { IDocumentManager } from '@jupyterlab/docmanager';
import { Notebook, NotebookPanel } from '@jupyterlab/notebook';
import { ErrorTypeKey, IItemGenerator, IGroupGenerator, IReport, ReportId, ReportType } from '../linter/interfaces';
import { NotebookHandler } from './notebookhandler';
import { ErrorHandler } from './errorhandler';
export declare class ItemGenerator implements IItemGenerator {
    _docManager: IDocumentManager;
    _nbPanel: NotebookPanel;
    _notebookContent: Notebook;
    _handler: NotebookHandler;
    _eh: ErrorHandler;
    constructor(docManager: IDocumentManager, handler: NotebookHandler, eh: ErrorHandler);
    create(cellId: number | string, type: ReportType, messageId: ReportId, args: any[]): IReport;
    renameNotebook(): void;
    goToCell(index: number): void;
    addModule(index: number, module: string): void;
    restoreCell(index: number, executionCount: number, code: string): void;
}
export declare class GroupGenerator implements IGroupGenerator {
    _nbPanel: NotebookPanel;
    _update: () => void;
    _eh: ErrorHandler;
    constructor(nbPanel: NotebookPanel, update: () => void, eh: ErrorHandler);
    create(title: string | number, reportType: ErrorTypeKey, elements: IReport[]): IReport;
}
