import * as React from 'react';
import { Dialog } from '@jupyterlab/apputils';
export class TextDialog extends Dialog {
    handleEvent(event) {
        switch (event.type) {
            case 'keydown':
                this._evtKeydown(event);
                break;
            case 'click':
                this._evtClick(event);
                break;
            case 'focus':
                this._evtFocus(event);
                break;
            case 'contextmenu':
                event.preventDefault();
                event.stopPropagation();
                break;
            default:
                break;
        }
    }
    _evtKeydown(event) {
        if (event.keyCode !== 13) {
            super._evtKeydown(event);
        }
    }
}
export function showTextDialog(options = {}) {
    const dialog = new TextDialog(options);
    return dialog.launch();
}
export class FeedbackDialogRenderer extends React.Component {
    render() {
        return (React.createElement("div", null,
            React.createElement("ul", { className: "julynter-feedback-ul" },
                React.createElement("li", null,
                    "Type: ",
                    this.props.item.reportType),
                React.createElement("li", null,
                    "ID: ",
                    this.props.item.reportId),
                React.createElement("li", null,
                    "Message: ",
                    this.props.item.text),
                React.createElement("li", null,
                    "Suggestion: ",
                    this.props.item.suggestion),
                React.createElement("li", null, "Feedback:")),
            React.createElement("textarea", { className: "julynter-feedback-textarea", onChange: this.props.onChange })));
    }
}
