import * as React from 'react';
import { ILabShell } from '@jupyterlab/application';
import { Dialog } from '@jupyterlab/apputils';
import { INotebookTracker } from '@jupyterlab/notebook';
import { ErrorTypeKey } from '../../linter/interfaces';
import { Config } from '../config';
import { NotebookHandler } from '../notebookhandler';
import { ErrorHandler } from '../errorhandler';
interface IToolbarProps {
    notebook: NotebookHandler;
    labShell: ILabShell;
    tracker: INotebookTracker;
    config: Config;
    handlers: {
        [id: string]: Promise<NotebookHandler>;
    };
    errorHandler: ErrorHandler;
}
export declare class ToolbarRenderer extends React.Component<IToolbarProps> {
    constructor(props: IToolbarProps);
    toggle(key: ErrorTypeKey): void;
    toggleMode(): void;
    changeRequirements(): Promise<Dialog.IResult<string>>;
    configure(): void;
    render(): JSX.Element;
}
export {};
